// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : Plant
 *-----------------------------------------------------------------------------
 *
 * @Description              : Plant的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-23 17:06:57
 *
 ******************************************************************************/
type Plant struct {
	PlantNr        int           `xorm:"pk int 'PlantNr'" json:"Plant-PlantNr"`
	Status         int           `xorm:"int 'Status' not null" json:"Plant-Status"`
	Name1          string        `xorm:"nvarchar(100) 'Name1' not null" json:"Plant-Name1"`
	Name2          string        `xorm:"nvarchar(100) 'Name2' not null" json:"Plant-Name2"`
	Logo           string        `xorm:"nvarchar(100) 'Logo' not null" json:"Plant-Logo"`
	Abrevname      string        `xorm:"nvarchar(40) 'Abrevname' not null" json:"Plant-Abrevname"`
	Country        string        `xorm:"nvarchar(40) 'Country' not null" json:"Plant-Country"`
	Street         string        `xorm:"nvarchar(100) 'Street' not null" json:"Plant-Street"`
	Address        string        `xorm:"nvarchar(100) 'Address' not null" json:"Plant-Address"`
	PostCode       string        `xorm:"nvarchar(8) 'PostCode' not null" json:"Plant-PostCode"`
	Phone          string        `xorm:"nvarchar(20) 'Phone' not null" json:"Plant-Phone"`
	Fax            string        `xorm:"nvarchar(20) 'Fax' not null" json:"Plant-Fax"`
	StartYear      int           `xorm:"int 'StartYear' not null" json:"Plant-StartYear"`
	EndYear        int           `xorm:"int 'EndYear' not null" json:"Plant-EndYear"`
	CompanyTitle   string        `xorm:"nvarchar(100) 'CompanyTitle' not null" json:"Plant-CompanyTitle"`
	CompanyAddress string        `xorm:"nvarchar(100) 'CompanyAddress' not null" json:"Plant-CompanyAddress"`
	TaxId          string        `xorm:"nvarchar(100) 'TaxId' not null" json:"Plant-TaxId"`
	AccountBank    string        `xorm:"nvarchar(100) 'AccountBank' not null" json:"Plant-AccountBank"`
	AccountNr      int           `xorm:"int 'AccountNr' not null" json:"Plant-AccountNr"`
	Currency       string        `xorm:"nvarchar(20) 'Currency' not null" json:"Plant-Currency"`
	LastModify     grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"Plant-LastModify"`
	LastUser       string        `xorm:"nvarchar(20) 'LastUser' not null" json:"Plant-LastUser"`
	CreateTime     grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"Plant-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-23 17:06:57
 *
 ******************************************************************************/
func (self *Plant) GetKey() core.PK {
	return core.PK{self.PlantNr}
}
